%define majver %(echo %version | cut -d. -f1-2)
Name:          gnome-power-manager
Version:       3.22.2
Release:       1mamba
Summary:       A session daemon for the GNOME desktop environment that makes it easy to manage your laptop or desktop system
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://projects.gnome.org/gnome-power-manager/
Source:        ftp://ftp.gnome.org/pub/gnome/sources/gnome-power-manager/%{majver}/gnome-power-manager-%{version}.tar.xz
Patch0:        %{name}-2.32.0-libnotify-0.7.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libatk-devel
BuildRequires: libavahi-devel
BuildRequires: libavahi-glib-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libcanberra-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libexpat-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libGL-devel
BuildRequires: libglib-devel
BuildRequires: libglitz-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libgnome-vfs-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgtk2-devel
BuildRequires: libICE-devel
BuildRequires: libnotify-devel
BuildRequires: libopenssl-devel
BuildRequires: libpango-devel
BuildRequires: libpixman-devel
BuildRequires: libpng-devel
BuildRequires: libpopt-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: libselinux-devel
BuildRequires: libSM-devel
BuildRequires: libssp-devel
BuildRequires: libstartup-notification-devel
BuildRequires: libstdc++6-devel
BuildRequires: libunique-devel
BuildRequires: libuuid-devel
BuildRequires: libwnck2-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libxcb-util-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXres-devel
BuildRequires: libz-devel
BuildRequires: ORBit2-devel
BuildRequires: udev-devel
BuildRequires: upower-devel
## AUTOBUILDREQ-END
BuildRequires: upower-devel >= 0.9.23
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A session daemon for the GNOME desktop environment that makes it easy to manage your laptop or desktop system.

%prep
%setup -q
#%patch0 -p0

%build
%configure --disable-scrollkeeper
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
   GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` \
   gconftool-2 --makefile-install-rule \
      /etc/gconf/schemas/gnome-power-manager.schemas &> /dev/null
   gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
   gtk-update-icon-cache %{_datadir}/icons/HighContrast &>/dev/null
fi
:

%postun
if [ $1 -eq 0 ]; then
   GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` \
   gconftool-2 --makefile-uninstall-rule \
      /etc/gconf/schemas/gnome-power-manager.schemas &> /dev/null
   gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
   gtk-update-icon-cache %{_datadir}/icons/HighContrast &>/dev/null
fi
:

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/gnome-power-statistics
%{_datadir}/appdata/org.gnome.PowerStats.appdata.xml
%{_datadir}/applications/org.gnome.PowerStats.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.power-manager.gschema.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.PowerStats.png
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.PowerStats.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.PowerStats-symbolic.svg
%{_mandir}/man1/gnome-power-statistics.1*
%doc AUTHORS COPYING
#ChangeLog NEWS README

%changelog
* Wed Nov 09 2016 Automatic Build System <autodist@mambasoft.it> 3.22.2-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 3.22.1-1mamba
- automatic version update by autodist

* Sat Apr 09 2016 Automatic Build System <autodist@mambasoft.it> 3.20.0-1mamba
- automatic version update by autodist

* Wed Nov 18 2015 Automatic Build System <autodist@mambasoft.it> 3.18.0-1mamba
- automatic version update by autodist

* Wed May 06 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.16.0-2mamba
- rebuilt by autoport with build requirements: 

* Thu Apr 09 2015 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic version update by autodist

* Tue Oct 14 2014 Automatic Build System <autodist@mambasoft.it> 3.14.1-1mamba
- automatic update by autodist

* Mon Sep 22 2014 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Sun Jun 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.12.2-2mamba
- rebuilt with upower 0.9.23

* Mon May 12 2014 Automatic Build System <autodist@mambasoft.it> 3.12.2-1mamba
- automatic version update by autodist

* Mon Mar 24 2014 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Mon Feb 17 2014 Automatic Build System <autodist@mambasoft.it> 3.11.90-1mamba
- automatic version update by autodist

* Tue Nov 05 2013 Automatic Build System <autodist@mambasoft.it> 3.11.2-1mamba
- automatic version update by autodist

* Tue Nov 05 2013 Automatic Build System <autodist@mambasoft.it> 3.11.1-1mamba
- automatic version update by autodist

* Tue Oct 29 2013 Automatic Build System <autodist@mambasoft.it> 3.10.1-1mamba
- automatic version update by autodist

* Tue May 14 2013 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Mon Apr 15 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Thu Mar 28 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Wed Sep 26 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Sun Apr 01 2012 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- update to 3.4.0

* Wed Oct 19 2011 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Wed Sep 28 2011 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- update to 3.2.0

* Sun Sep 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.32.0-2mamba
- install gconf schema

* Sun Sep 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.32.0-1mamba
- package created by autospec
